/Users/bernard/b20/bsoft/src/brandom.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/brandom.cpp - Program to generate random images.

SYNOPSIS

#include 'rwimg.h'
#include 'random_numbers.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to generate random images.

Author:
    Bernard Heymann

Date:
    Created: 19990703

    Modified: 20150725

Definition in file brandom.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 47 of file brandom.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: brandom [options] [input.img] output.img",
"-----------------------------------------------",
"Generates random content images.",
"If an input image is not found a random output image is generated.",
"The default output data type is floating point.",
" ",
"Actions:",
"-type gauss              Distribution type (default: uniform, ",
"                         others: gaussian, poisson, logistical, spectral).",
"-rescale -0.1,5.2        Rescale output data to average and standard deviation.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Data type (default: byte).",
"-images 12               Number of images (default: 1).",
"-size 10,50,8            Size (default: 256,256,1).",
"-sampling 1.5,1.5,1.5    Sampling (default: 1,1,1; a single value can be given).",
"-origin 0,-10,30         Set the origin (default image origin).",
"-minmax -1.2,5.6         Set minimum and maximum of input and uniform random image (default: -1.732,1.732).",
"-avgstd 0.5,2.3          Set average and standard deviation of input and non-uniform random image (default: 0,1).",
"-alpha 2                 Spectral noise decay (default: white=0, pink=1, red/brown=2, blue=-1, violet=-2).",
"-snr 1.4,63              Signal-to-noise ratio and foreground radius (default: 1).",
" ",
NULL
}

Definition at line 19 of file brandom.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.